From 0f8b293f90f8298c8a7a4deff122a7766e13dbe1 Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Sat, 17 Jun 2017 08:48:01 +0200
Subject: [PATCH] Fix typos in comments

s/paramter/parameter/
---
 src/backend/access/transam/xlogfuncs.c | 2 +-
 src/include/lib/simplehash.h           | 2 +-
 src/include/nodes/execnodes.h          | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/backend/access/transam/xlogfuncs.c b/src/backend/access/transam/xlogfuncs.c
index fb905c0a1c..c46325dfaf 100644
--- a/src/backend/access/transam/xlogfuncs.c
+++ b/src/backend/access/transam/xlogfuncs.c
@@ -175,7 +175,7 @@ pg_stop_backup(PG_FUNCTION_ARGS)
  * The first parameter (variable 'exclusive') allows the user to tell us if
  * this is an exclusive or a non-exclusive backup.
  *
- * The second paramter (variable 'waitforarchive'), which is optional,
+ * The second parameter (variable 'waitforarchive'), which is optional,
  * allows the user to choose if they want to wait for the WAL to be archived
  * or if we should just return as soon as the WAL record is written.
  *
diff --git a/src/include/lib/simplehash.h b/src/include/lib/simplehash.h
index 47dd0bc4ee..56b261d8ea 100644
--- a/src/include/lib/simplehash.h
+++ b/src/include/lib/simplehash.h
@@ -902,7 +902,7 @@ SH_STAT(SH_TYPE * tb)
 #endif   /* SH_DEFINE */
 
 
-/* undefine external paramters, so next hash table can be defined */
+/* undefine external parameters, so next hash table can be defined */
 #undef SH_PREFIX
 #undef SH_KEY_TYPE
 #undef SH_KEY
diff --git a/src/include/nodes/execnodes.h b/src/include/nodes/execnodes.h
index d33392f3b5..9c0852853a 100644
--- a/src/include/nodes/execnodes.h
+++ b/src/include/nodes/execnodes.h
@@ -569,7 +569,7 @@ typedef struct TupleHashEntryData
 	uint32		hash;			/* hash value (cached) */
 } TupleHashEntryData;
 
-/* define paramters necessary to generate the tuple hash table interface */
+/* define parameters necessary to generate the tuple hash table interface */
 #define SH_PREFIX tuplehash
 #define SH_ELEMENT_TYPE TupleHashEntryData
 #define SH_KEY_TYPE MinimalTuple
-- 
2.13.0.rc0.45.ge2cb6ab.dirty

